%define real_name Term-ReadLine-Gnu

Summary:	Term::ReadLine::Gnu Perl module
Name:		perl-%{real_name}
Version:	1.15
Release:	1mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/H/HA/HAYASHI/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
#BuildArch:	noarch
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 4.2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is an implementation of the interface to the GNU Readline
Library. This module gives you input line editing facility, input
history management facility, word completion facility, etc. It
uses the real GNU Readline Library. And this module has the
interface with the almost all variables and functions which are
documented in the GNU Readline/History Library. So you can program
your custom editing function, your custom completion function, and
so on with Perl. This may be useful for prototyping before
programming with C.

%prep
%setup -q -n %{real_name}-%{version}

# perl path hack
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# make test don't work
#make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorarch}/Term/ReadLine
%{perl_vendorarch}/Term/ReadLine/Gnu*
%dir %{perl_vendorarch}/auto/Term/ReadLine
%dir %{perl_vendorarch}/auto/Term/ReadLine/Gnu
%attr(755,root,root) %{perl_vendorarch}/auto/Term/ReadLine/Gnu/*.so
%dir %{perl_vendorarch}/auto/Term/ReadLine/Gnu/XS
%{perl_vendorarch}/auto/Term/ReadLine/Gnu/XS/autosplit.ix
%{_mandir}/*/*

%changelog
* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.15-1mdk
- 1.15

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.14-1mdk
- initial Mandriva package
